Capsule API Example

Loading...
Searching...
No Matches
Public Member Functions | List of all members
capsule::client::ClassificationPhysiologicalStates Class Referencefinal

`#include <ClassificationPhysiologicalStates.hpp>`

Inherits capsule::client::Classification.

## Public Member Functions
| ClassificationPhysiologicalStates (Device &owner)
void | SetOnPhysiologicalStatesUpdateEvent (std::function< void(ClassificationPhysiologicalStates &, const physiological_states::PhysiologicalStates &)> &&callback)
void | SetOnCalibratedEvent (std::function< void(ClassificationPhysiologicalStates &, const physiological_states::Baselines &)> &&callback)
void | SetOnCalibrationProgressUpdateEvent (std::function< void(ClassificationPhysiologicalStates &, float)> &&callback)
void | SetOnIndividualNFBUpdateEvent (std::function< void(ClassificationPhysiologicalStates &)> &&callback)
void | StartBaselineCalibration ()
| Request calibration.
void | ImportBaselines (const physiological_states::Baselines &baselines)
| Import calibration coefficients.
Public Member Functions inherited from capsule::client::Classification
bool | IsValid () const noexcept
| Classification (const Classification &)=delete
Classification & | operator= (const Classification &)=delete
| Classification (Classification &&rhs) noexcept
Classification & | operator= (Classification &&rhs) noexcept

## Additional Inherited Members
Public Types inherited from capsule::client::Classification
enum class | ClassifierType : uint8_t { Cardio = 0 , Emotions = 1 , NFB = 1 << 1 , MEMS = 1 << 2 , Physiological = 1 << 4 , Productivity = 1 << 5 }
Protected Member Functions inherited from capsule::client::Classification
| Classification (std::unique_ptr< ClassificationPrivate > &&pimpl)
virtual | ~Classification ()
void | CheckValid () const
template<typename T >
T * | castImpl ()
template<typename T >
const T * | castImpl () const
Protected Attributes inherited from capsule::client::Classification
ClassificationPrivate * | m_pimpl

## Constructor & Destructor Documentation

## ◆ ClassificationPhysiologicalStates()

capsule::client::ClassificationPhysiologicalStates::ClassificationPhysiologicalStates | ( | Device & | owner | ) |
| explicit

## Member Function Documentation

## ◆ ImportBaselines()

void capsule::client::ClassificationPhysiologicalStates::ImportBaselines | ( | const physiological_states::Baselines & | baselines | ) |

Import calibration coefficients.

Parameters

  baselines | baselines values

## ◆ SetOnCalibratedEvent()

void capsule::client::ClassificationPhysiologicalStates::SetOnCalibratedEvent | ( | std::function< void(ClassificationPhysiologicalStates &, const physiological_states::Baselines &)> && | callback | ) |

## ◆ SetOnCalibrationProgressUpdateEvent()

void capsule::client::ClassificationPhysiologicalStates::SetOnCalibrationProgressUpdateEvent | ( | std::function< void(ClassificationPhysiologicalStates &, float)> && | callback | ) |

## ◆ SetOnIndividualNFBUpdateEvent()

void capsule::client::ClassificationPhysiologicalStates::SetOnIndividualNFBUpdateEvent | ( | std::function< void(ClassificationPhysiologicalStates &)> && | callback | ) |

## ◆ SetOnPhysiologicalStatesUpdateEvent()

void capsule::client::ClassificationPhysiologicalStates::SetOnPhysiologicalStatesUpdateEvent | ( | std::function< void(ClassificationPhysiologicalStates &, const physiological_states::PhysiologicalStates &)> && | callback | ) |

## ◆ StartBaselineCalibration()

void capsule::client::ClassificationPhysiologicalStates::StartBaselineCalibration | ( |  | ) |

Request calibration.

Requires EEG and PPG signals turned on. OnCalibrated event is called on completion.

The documentation for this class was generated from the following file:

- C:/builds/bci/capsule/CapsuleClient/Include/ClassificationPhysiologicalStates.hpp